/****************************************************************************
*                   ibmconf.h
*
*	Written for Visual C++ V2.2 by Pete Goodwin
*
*****************************************************************************/

#include <stdarg.h>
#include <stdlib.h>

#define RED_RAW_FILE_EXTENSION   ".r8"  /* PICLAB's "RAW" file format */
#define GREEN_RAW_FILE_EXTENSION ".g8"  /* PICLAB's "RAW" file format */
#define BLUE_RAW_FILE_EXTENSION  ".b8"  /* PICLAB's "RAW" file format */

#define FILENAME_SEPARATOR "\\"

#define EPSILON 1.0e-5

#define DEFAULT_OUTPUT_FORMAT   't'

#define TEST_ABORT if (Options & EXITENABLE) if (kbhit()) { Stop_Flag = TRUE; getch(); }

#ifndef COMPILER_VER	/* if we haven't figured this out yet... */
#define COMPILER_VER ".VC++ V4.0"
#endif

#define PRINT_CREDITS print_ibm_credits();
#define PRINT_STATS print_ibm_stats();
#define WAIT_FOR_KEYPRESS getch();

void print_ibm_credits (void);
void print_ibm_stats(void);
